Move project sidebar content to a partial
2014-07-04 10:46 - Jérobme BATAILLE

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 2.6.0

Resolution: Fixed

Description

It's more convenient to override the sidebar in plugins

Associated revisions

Revision 13393 - 2014-09-13 12:53 - Jean-Philippe Lang
Moves project sidebar content to a partial (#17380).

Patch by Jérome BATAILLE.

History

#1 - 2014-07-04 10:48 - Jérome BATAILLE
- File RM_17380_project show_add_a_sidebar._partial RM_V2.5.diff added

Here is the patch

#2 - 2014-07-07 10:33 - Daniel Felix

Would be good, as the same approach is taken for the issues.

#3 - 2014-08-03 03:39 - Toshi MARUYAMA

- Target version set to 2.6.0

#4 - 2014-09-12 06:46 - Mischa The Evil
Jéréme BATAILLE wrote:

Here is the patch

Nice. Thanks for sharing.
Daniel Felix wrote:
Would be good, as the same approach is taken for the issues.

Daniel, am | missing something? AFAICT the sidebar code for issues (both #index and #show) is already located in a dedicated partial (
source:/trunk/app/views/issues/_sidebar.html.erb).

#5 - 2014-09-12 10:15 - Jérome BATAILLE

Mischa, you're right, but the content of the partial is totally different.

#6 - 2014-09-13 12:53 - Jean-Philippe Lang

- Subject changed from Project / show add a sidebar partial to Move project sidebar content to a partial
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed in r13393.
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/views/issues/_sidebar.html.erb
https://www.redmine.org/projects/redmine/repository/svn/revisions/13393

#7 - 2014-09-15 10:56 - Jérome BATAILLE
Thanks a lot !

Files

RM_17380_project_show_add_a_sidebar_partial_RM_V2.5.diff 1.74 KB 2014-07-04 Jérdme BATAILLE

2025-05-02 22


http://www.tcpdf.org

